Orxonox: orxonox::BillboardSet Class Reference

# orxonox::BillboardSet Class Reference

`#include <src/orxonox/tools/BillboardSet.h>`

List of all members.

## Public Member Functions

| BillboardSet ()
Ogre::BillboardSet * | getBillboardSet ()
const ColourValue & | getColour () const
const std::string & | getMaterial () const
const std::string & | getName () const
Ogre::SceneManager * | getSceneManager () const
bool | getVisible () const
void | setBillboardSet (Ogre::SceneManager *scenemanager, const std::string &file, const ColourValue &colour, const Vector3 &position, int count=1)
void | setBillboardSet (Ogre::SceneManager *scenemanager, const std::string &file, const Vector3 &position, int count=1)
void | setBillboardSet (Ogre::SceneManager *scenemanager, const std::string &file, const ColourValue &colour, int count=1)
void | setBillboardSet (Ogre::SceneManager *scenemanager, const std::string &file, int count=1)
void | setColour (const ColourValue &colour)
void | setMaterial (const std::string &material)
void | setVisible (bool visible)
| ~BillboardSet ()

## Private Member Functions

void | destroyBillboardSet ()

## Private Attributes

Ogre::BillboardSet * | billboardSet_
Ogre::SceneManager * | scenemanager_

## Static Private Attributes

static unsigned int | billboardSetCounter_s = 0

## Constructor & Destructor Documentation

orxonox::BillboardSet::BillboardSet | ( |  | ) |

References billboardSet_.

orxonox::BillboardSet::~BillboardSet | ( |  | ) |

References destroyBillboardSet().

## Member Function Documentation

void orxonox::BillboardSet::destroyBillboardSet | ( |  | ) | `[private]`

References billboardSet_, and scenemanager_.

Referenced by setBillboardSet(), and ~BillboardSet().

Ogre::BillboardSet* orxonox::BillboardSet::getBillboardSet | ( |  | ) | `[inline]`

Referenced by orxonox::BillboardProjectile::BillboardProjectile(), orxonox::Billboard::changedColour(), orxonox::Billboard::changedMaterial(), orxonox::Planet::init(), orxonox::Spectator::Spectator(), orxonox::Planet::tick(), orxonox::Trigger::Trigger(), orxonox::Billboard::~Billboard(), orxonox::BillboardProjectile::~BillboardProjectile(), and orxonox::Spectator::~Spectator().

const ColourValue & orxonox::BillboardSet::getColour | ( |  | ) | const

References billboardSet_.

const std::string & orxonox::BillboardSet::getMaterial | ( |  | ) | const

References billboardSet_, and orxonox::BLANKSTRING.

const std::string & orxonox::BillboardSet::getName | ( |  | ) | const

References billboardSet_, and orxonox::BLANKSTRING.

Ogre::SceneManager* orxonox::BillboardSet::getSceneManager | ( |  | ) | const`[inline]`

bool orxonox::BillboardSet::getVisible | ( |  | ) | const

References billboardSet_.

void orxonox::BillboardSet::setBillboardSet | ( | Ogre::SceneManager * | scenemanager,
|  | const std::string & | file,
|  | const ColourValue & | colour,
|  | const Vector3 & | position,
|  | int | count = `1` |
| ) |  |  |

References billboardSet_, billboardSetCounter_s, COUT, destroyBillboardSet(), scenemanager_, and orxonox::GameMode::showsGraphics().

void orxonox::BillboardSet::setBillboardSet | ( | Ogre::SceneManager * | scenemanager,
|  | const std::string & | file,
|  | const Vector3 & | position,
|  | int | count = `1` |
| ) |  |  |

References billboardSet_, billboardSetCounter_s, COUT, destroyBillboardSet(), scenemanager_, and orxonox::GameMode::showsGraphics().

void orxonox::BillboardSet::setBillboardSet | ( | Ogre::SceneManager * | scenemanager,
|  | const std::string & | file,
|  | const ColourValue & | colour,
|  | int | count = `1` |
| ) |  |  |

References setBillboardSet().

void orxonox::BillboardSet::setBillboardSet | ( | Ogre::SceneManager * | scenemanager,
|  | const std::string & | file,
|  | int | count = `1` |
| ) |  |  |

Referenced by orxonox::BillboardProjectile::BillboardProjectile(), orxonox::Billboard::changedMaterial(), orxonox::Planet::init(), setBillboardSet(), orxonox::Spectator::Spectator(), and orxonox::Trigger::Trigger().

void orxonox::BillboardSet::setColour | ( | const ColourValue & | colour | ) |

References billboardSet_.

Referenced by orxonox::FadingBillboard::changedColour(), orxonox::Billboard::changedColour(), orxonox::Trigger::setBillboardColour(), orxonox::BillboardProjectile::setColour(), orxonox::FadingBillboard::stopturnonoff(), and orxonox::FadingBillboard::tick().

void orxonox::BillboardSet::setMaterial | ( | const std::string & | material | ) |

References billboardSet_.

Referenced by orxonox::Billboard::changedMaterial(), and orxonox::BillboardProjectile::setMaterial().

void orxonox::BillboardSet::setVisible | ( | bool | visible | ) |

References billboardSet_.

Referenced by orxonox::Spectator::changedFlareVisibility(), orxonox::Billboard::changedMaterial(), orxonox::Trigger::changedVisibility(), orxonox::Planet::changedVisibility(), orxonox::FadingBillboard::changedVisibility(), orxonox::Billboard::changedVisibility(), orxonox::BillboardProjectile::changedVisibility(), orxonox::FadingBillboard::poststopturnonoff(), orxonox::Spectator::Spectator(), orxonox::FadingBillboard::startturnonoff(), and orxonox::Trigger::Trigger().

## Member Data Documentation

Ogre::BillboardSet* orxonox::BillboardSet::billboardSet_`[private]`

Referenced by BillboardSet(), destroyBillboardSet(), getColour(), getMaterial(), getName(), getVisible(), setBillboardSet(), setColour(), setMaterial(), and setVisible().

unsigned int orxonox::BillboardSet::billboardSetCounter_s = 0`[static, private]`

Referenced by setBillboardSet().

Ogre::SceneManager* orxonox::BillboardSet::scenemanager_`[private]`

Referenced by destroyBillboardSet(), and setBillboardSet().

The documentation for this class was generated from the following files:

- src/orxonox/tools/BillboardSet.h
- src/orxonox/tools/BillboardSet.cc